<?php

/* DCMS Special
 * Дата последнего редактирования 06.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

only_reg();
$set['title'] = lang('Настройки пароля');
include_once H . 'sys/inc/thead.php';

err();
aut();


switch ((isset($_GET['m'])) ? htmlspecialchars($_GET['m']) : null) {
    default:
        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/settings/'>" . lang('Настройки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Пароль');
        echo "</small></div><br />";

        echo "<form class='list-group-item-null' action='password.php?m=saves' method='POST'>";

        $doc->Input('pass', 'Старый пароль', 50, null, 'form-control', 'text', 'required');
        $doc->Input('pass1', 'Новый пароль', 50, null, 'form-control', 'password', 'required');
        $doc->Input('pass2', 'Подтверждение', 50, null, 'form-control', 'password', 'required');
        echo "<br />";
        $doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');

        echo "</form>";

        break;

    case 'saves':

        if (isset($_POST['save'])) {
            if (isset($_POST['pass'])) {
                $p_ss = $db->super_query("SELECT COUNT(*) as count FROM `user` WHERE `id` = '$user[id]' AND `pass` = '" . shif($_POST['pass']) . "' LIMIT 1");
                if ($p_ss['count'] == 1) {
                    if (isset($_POST['pass1']) && isset($_POST['pass2'])) {
                        if ($_POST['pass1'] == $_POST['pass2']) {
                            if (utf8_strlen($_POST['pass1']) < 6) {
                                $err = lang('По соображениям безопасности новый пароль не может быть короче 6-ти символов');
                            }
                            if (utf8_strlen($_POST['pass1']) > 32) {
                                $err = lang('Длина пароля превышает 32 символа');
                            }
                        } else {
                            $err = lang('Новый пароль не совпадает с подтверждением');
                        }
                    } else {
                        $err = lang('Введите новый пароль');
                    }
                }
            } else {
                $err = lang('Старый пароль неверен');
            }

            //Поисковое слово
            $world_set_update = $_POST['pass1'];
            //файл где ищем
            $file_default = file_get_contents(H . 'sys/txt/if_password.txt');

            //если  нету записываем 
            if (stripos($file_default, $world_set_update) !== false) {
                $err = lang('Новый пароль слишком простой');
            }

            if (!isset($err)) {
                $db->query("UPDATE `user` SET `pass` = '" . shif($_POST['pass1']) . "' , `pass_time` = '" . time() . "' WHERE `id` = '$user[id]' LIMIT 1");
                setcookie('pass', cookie_encrypt($_POST['pass1'], $user['id']), time() + 60 * 60 * 24 * 365);
                $_SESSION['message'] = lang("Изменения сохранены");
                header("Location: password.php?act=password" . SID);
                exit;
            } else {
                $_SESSION['err'] = "$err";
                header("Location: password.php?act=password" . SID);
                exit;
            }
        }

        break;
}

include_once H . 'sys/inc/tfoot.php';
